﻿/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

using System;
using System.Collections.Generic;

namespace Tizen.Network.Mtp
{
    /// <summary>
    /// An extended EventArgs class which contains Mtp event.
    /// </summary>
    /// <since_tizen> 5 </since_tizen>
    public class MtpStateChangedEventArgs : EventArgs
    {
        private MtpEventType _type = MtpEventType.Unknown;
        private int _eventParameter;

        internal MtpStateChangedEventArgs(MtpEventType type, int eventParameter)
        {
            _type = type;
            _eventParameter = eventParameter;
        }

        /// <summary>
        /// The Mtp event type.
        /// </summary>
        /// <since_tizen> 5 </since_tizen>
        public MtpEventType Type
        {
            get
            {
                return _type;
            }
        }

        /// <summary>
        /// The event parameter.
        /// </summary>
        /// <since_tizen> 5 </since_tizen>
        public int EventParameter
        {
            get
            {
                return _eventParameter;
            }
        }
    }
   
}
